Permalink
Browse files

app-admin/haskell-updater: allow unreleased Cabal versions

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
  • Loading branch information...
1 parent fde14be commit 4474adaf77b8a4ec24bd40d5a68cb7a6b17dc5a0 @trofi trofi committed Nov 11, 2012
Showing with 4 additions and 0 deletions.
  1. +4 −0 app-admin/haskell-updater/haskell-updater-1.2.0.8.ebuild
@@ -31,6 +31,10 @@ src_prepare() {
sed -i -e 's,"/","'"${EPREFIX}"'/",g' \
"${S}/Distribution/Gentoo/GHC.hs" || die
fi
+
+ # for ghc snapshots (usually come with unstable Cabal API)
+ sed -e 's@Cabal >= 1.8 && < 1.17@Cabal >= 1.8 \&\& < 1.18@' \
+ -i "${S}/${PN}.cabal" || die "Could not loosen dependencies"
}
src_configure() {

0 comments on commit 4474ada

Please sign in to comment.